
<div id="form">
<!--/ Services Star /-->
<section class="section-services section-t8">
    <div class="container">
      <div class="row">
        <div class="col-md-12">
          <div class="title-wrap d-flex justify-content-between">
            <div class="title-box">
              <h2 class="title-a">Inscription</h2>
            </div>
          </div>
        </div>
      </div>
      </div>
  </section>
  <!--/ Services End /-->
</div>

<div id="message">
  <h3 [ngStyle]="{ 'color': messageColor }" style="font-size:100%">{{message}}</h3>
 </div> 

<div id="form">
<form  [formGroup]="formulaire">
<table>
<tr><td>    
<div class="form-label-group">
<input type="email" name="email" class="form-control" placeholder="email.." formControlName = "email" [(ngModel)]="entity.email" /></div>
</td><td>
<div *ngIf="formulaire.controls.email.invalid && formulaire.controls.email.touched">
<div class="message"> Veuillez mettre un email </div>
</div>
</td> </tr><tr><td>    
<div class="form-label-group">
<input type="text" name="lastName" class="form-control" placeholder="lastName.." formControlName = "lastName" [(ngModel)]="entity.lastName" /></div>
</td><td>
<div *ngIf="formulaire.controls.lastName.invalid && formulaire.controls.lastName.touched">
<div class="message"> Veuillez mettre votre nom </div>
</div>
</td></tr><tr><td>   
<div class="form-label-group">
<input type="text" name="firstName" class="form-control" placeholder="firstName.."  formControlName = "firstName" [(ngModel)]="entity.firstName" /></div>
</td><td>
<div *ngIf="formulaire.controls.firstName.invalid && formulaire.controls.firstName.touched">
<div class="message"> Veuillez mettre votre prenom </div>
</div>
</td> </tr><tr><td>  
<div class="form-label-group">
<input type="text" name="adress" class="form-control" placeholder="adress.."  formControlName = "adress"  [(ngModel)]="entity.adress" /></div>
</td><td>
<div *ngIf="formulaire.controls.adress.invalid && formulaire.controls.adress.touched">
<div class="message"> Veuillez mettre votre adresse </div>
</div>
</td> </tr><tr><td>   
<div class="form-label-group">
<input type="number" name="zipCode" class="form-control"  placeholder="zipCode.."   formControlName = "zipCode"  [(ngModel)]="entity.zipCode" /> </div>
</td><td>
<div *ngIf="formulaire.controls.zipCode.invalid && formulaire.controls.zipCode.touched">
<div class="message"> Veuillez mettre votre code postal </div>
</div>
</td> </tr><tr><td>   
<div class="form-label-group">
<input type="text" name="city" class="form-control" placeholder="city.." formControlName = "city"  [(ngModel)]="entity.city" /> </div>
</td><td>
<div *ngIf="formulaire.controls.city.invalid && formulaire.controls.city.touched">
<div class="message"> Veuillez mettre votre ville </div>
</div>
</td></tr><tr><td>   
<div class="form-label-group">
<input type="password" name="pwd" class="form-control" placeholder="password.."  formControlName = "pwd"  [(ngModel)]="entity.pwd" /></div>
</td><td>
<div *ngIf="formulaire.controls.pwd.invalid && formulaire.controls.pwd.touched">
<div class="message"> Veuillez mettre votre mot de passe </div>
</div>
</td> </tr><tr><td>  
<div class="form-label-group">
<input type="tel" name="phone" class="form-control" placeholder="phone.." formControlName = "phone"   [(ngModel)]="entity.phone" /></div>
</td><td>
<div *ngIf="formulaire.controls.phone.invalid && formulaire.controls.phone.touched">
<div class="message"> Veuillez mettre votre telephone </div>
</div>
</tr>
</table></form>
<br>
<table>
<tr><td>
<input type="button"  class="btn btn-success" value="S'inscrire" (click)="register()" />
</td><td>
<button type="button" class="btn btn-danger" (click)="annuler()">Annuler</button>
</td></tr></table>
<br>
<a routerLink="/login">Je suis déjà inscrit</a>
<router-outlet></router-outlet>
</div>


